/********************************************************************
*  This is the header file of the on-board real-time-library for 
*  the SORCUS board Multi-COM (ML6). 
*
*  The library can be used with the compilers
*
*     Borland C (Version 3.1, 4.5 or 5.0)
*
*  To get a program that can run on the Multi-COM you have to 
*  link the startup-codes from SORCUS. A description, how to 
*  link the startup codes and the library ML6RTBIB to your 
*  program, is placed in your user manual and also in the file 
*  README.DOC. This file also consists a history of the library 
*  and finally tips & trics.
*
*
*  Author         Dipl.-Ing. H.Doersam
*
*  Last change    03/04/98
*
*  Copyrights by SORCUS Computer GmbH 1998
*  All rights reserved.
********************************************************************/


// Defines for Preprocessor:
//
// USE_ML6_MACROS       To include the ML6 macros
//
// __BORLANDC__         To compile with Borland C compiler. 
//                      The define is already done by the compiler.
//
// _MSC_VER             To compile with Microsoft C compiler. 
//                      The define is already done by the compiler.
//
// __LARGE__            Only Borland C: Memory model LARGE. 
//                      The define is already done by the compiler.
//
// _M_I86LM             Only Microsoft C: Memory model LARGE. 
//                      The define is already done by the compiler.
//
// __BUILD_RTBIB__      To build the library (for C or Pascal)
//
// __BUILD_PASCAL__     To build the library for Pascal




#ifndef _INC_ML6RTBIB


#define __ML6__
#define __RT__
#define ML6RTBIB


#ifdef USE_ML6_MACROS

#ifndef __MLXMACRO__
#define __MLXMACRO__
#endif // !__MLXMACRO__

#endif // USE_ML6_MACROS


#include <MLXRT.H>



#define _INC_ML6RTBIB
#endif // !_INC_ML6RTBIB


